hchart.survfit {highcharter} | R Documentation

## Plot survival curves using Highcharts

### Description

Plot survival curves using Highcharts

### Usage

    ## S3 method for class 'survfit'
    hchart(object, ..., fun = NULL, markTimes = TRUE,
      symbol = "plus", markerColor = "black", ranges = FALSE,
      rangesOpacity = 0.3)

### Arguments

`object` | A survfit object as returned from the `survfit` function
`...` | Extra parameters to pass to `hc_add_series` function
`fun` | Name of function or function used to transform the survival curve: `log` will put y axis on log scale, `event` plots cumulative events (f(y) = 1-y), `cumhaz` plots the cumulative hazard function (f(y) = -log(y)), and `cloglog` creates a complimentary log-log survival plot (f(y) = log(-log(y)) along with log scale for the x-axis.
`markTimes` | Label curves marked at each censoring time? TRUE by default
`symbol` | Symbol to use as marker (plus sign by default)
`markerColor` | Color of the marker ("black" by default); use NULL to use the respective color of each series
`ranges` | Plot interval ranges? FALSE by default
`rangesOpacity` | Opacity of the interval ranges (0.3 by default)

### Value

Highcharts object to plot survival curves

### Examples

    # Plot Kaplan-Meier curves
    require("survival")
    leukemia.surv <- survfit(Surv(time, status) ~ x, data = aml)
    hchart(leukemia.surv)

    # Plot the cumulative hazard function
    lsurv2 <- survfit(Surv(time, status) ~ x, aml, type='fleming')
    hchart(lsurv2, fun="cumhaz")

    # Plot the fit of a Cox proportional hazards regression model
    fit <- coxph(Surv(futime, fustat) ~ age, data = ovarian)
    ovarian.surv <- survfit(fit, newdata=data.frame(age=60))
    hchart(ovarian.surv, ranges = TRUE)

[Package highcharter version 0.5.0 Index]